<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Expressions and Statements</TITLE>
<link href="builder_15.html" rel=Next>
<link href="builder_13.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_13.html">previous</A>, <A HREF="builder_15.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC33" HREF="builder_toc.html#TOC33">Creating Expressions and Statements</A></H1>
<P>
<A NAME="IDX101"></A>
<A NAME="IDX102"></A>
<A NAME="IDX103"></A>
<A NAME="IDX104"></A>
<A NAME="IDX105"></A>

</P>
<P>
The builder library provides a rich set of functionality to use most of
the arithmetic and logic operators in creating expressions. Expressions
are built-up using other expressions, variables and constant values.
See section <A HREF="builder_31.html#SEC62">Block Operations and Initialization</A> for more information on composing and manipulating
builder structures. 

</P>

<UL>
<LI><A HREF="builder_15.html#SEC34">Different Approaches</A>: Various ways to make expressions
<LI><A HREF="builder_16.html#SEC38">Expression Examples</A>: Examples
</UL>

<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_13.html">previous</A>, <A HREF="builder_15.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
